summaryrefslogtreecommitdiffstats
path: root/test/TEST-82-SOFTREBOOT/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-82-SOFTREBOOT/test.sh')
-rwxr-xr-xtest/TEST-82-SOFTREBOOT/test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/TEST-82-SOFTREBOOT/test.sh b/test/TEST-82-SOFTREBOOT/test.sh
new file mode 100755
index 0000000..0494149
--- /dev/null
+++ b/test/TEST-82-SOFTREBOOT/test.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="Test Soft-Rebooting"
+# We temporarily remount rootfs read-only, so ignore any missing coverage
+IGNORE_MISSING_COVERAGE=yes
+# Prevent shutdown in test suite, the expect script does that manually.
+TEST_SKIP_SHUTDOWN=yes
+
+# shellcheck source=test/test-functions
+. "$TEST_BASE_DIR/test-functions"
+
+do_test "$@"